apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: zulip
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    ingress.pomerium.io/allow_public_unauthenticated_access: "true"
    # ingress.pomerium.io/allow_any_authenticated_user: "true"
    ingress.pomerium.io/pass_identity_headers: "true"
    ingress.pomerium.io/preserve_host_header: "true"
    ingress.pomerium.io/allow_websockets: "true"
spec:
  ingressClassName: pomerium
  rules:
    - host: "chat.bigasterisk.com"
      http:
        paths:
          - pathType: Prefix
            path: /
            backend: { service: { name: zulip, port: { number: 80 } } }
  tls:
    - hosts: [chat.bigasterisk.com]
      secretName: chat.bigasterisk.com-tls
